Name:           pilas
Version:        0.80
Release:        8%{?dist}
Summary:        A simple to use video game framework

Group:          Development/Libraries
License:        GPLv3
URL:            http://pypi.python.org/pypi/pilas
Source0:        http://pypi.python.org/packages/source/p/pilas/%{name}-%{version}.tar.gz

Source1:        %{name}.desktop

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  desktop-file-utils
BuildRequires:  python-setuptools
BuildRequires:  PyQt4
BuildRequires:  pybox2d

Requires:       pygame
Requires:       PyQt4
Requires:       pybox2d


%description
Pilas is an engine for video games quickly and easily. 
It is a tool designed for casual or novice programmers.
who want to start making their first games.

%prep
%setup -q
find . -iname "*.Ds_Store" -delete
rm -rf tests
sed -i 's|/usr/bin/env python|%{__python2}|g' lanas/setup.py
sed -i 's|/usr/bin/env python|%{__python2}|g' pilas/escena/__init__.py
sed -i 's|/usr/bin/env python|%{__python2}|g' setup.py
sed -i 's|/usr/bin/env python|%{__python2}|g' doc/source/pilas_en_pyqt.rst


cp -a %{SOURCE1} .



%build
%{__python2} setup.py build


%install
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}


chmod a+x %{buildroot}%{python2_sitelib}/pilas/escena/__init__.py
chmod a+x %{buildroot}%{python2_sitelib}/lanas/setup.py


mkdir -p %{buildroot}%{_datadir}/pixmaps
install -pm644 doc/source/images/pilas-icono.png %{buildroot}%{_datadir}/pixmaps/


desktop-file-install                                    \
--dir=%{buildroot}%{_datadir}/applications         \
%{SOURCE1}

%check
nosetests


%files
%doc LICENSE
%{python2_sitelib}/*
%{_bindir}/pilas
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/pilas-icono.png

%changelog
* Tue Mar 18 2014 Andres  Pascasio <morpheusv@gmail.com>   - 0.80-8
- add nosetests in check  section

* Sat Nov 09 2013 Andres  Pascasio <morpheusv@gmail.com>   - 0.80-7
- add .desktop file  in prep section

* Mon Nov 04 2013 Andres  Pascasio <morpheusv@gmail.com>   - 0.80-6
- Remove rm -rf

* Thu Oct 31 2013 Andres  Pascasio <morpheusv@gmail.com>   - 0.80-5
- Add .desktop file

* Mon Oct 28 2013 Andres  Pascasio <morpheusv@gmail.com>   - 0.80-4
- Macro Update {__python} to {__python2}

* Sun Sep 15 2013 Andres  Pascasio <morpheusv@gmail.com>   - 0.80-3
- Remove bundled egg and remove BuildRoot tag

* Sun Sep 01 2013 Andres  Pascasio <morpheusv@gmail.com> - 0.80-2
- Exec permission

* Thu Jul  4 2013 Andres  Pascasio <morpheusv@gmail.com> - 0.80-1
- First Fedora spec compliant version

